<?php


namespace Schaffen\Financial\BillingRoute\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Financial\BillingRoute\Models\ClientRoute;


class ClientRouteRepository extends Repository
{
    protected $model = ClientRoute::class;
    protected $searchableFields = [
        ['field' => 'roc_codigo'],
        ['field' => 'roc_fk_pes_codigo'],
        ['field' => 'roc_fk_rot_codigo'],
    ];

    protected function applyCustomFilters()
    {

        extract($this->filters);

    }
}