<?php


namespace Schaffen\Financial\Payment\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Financial\Payment\Models\Payment;

class PaymentRepository extends Repository
{
    protected $model = Payment::class;
    protected $searchableFields = [
        ["field" => "pag_usuario", "operator" => 'ilike'],
        ["field" => "pag_pai"],
        ["field" => "pag_data", "operator" => '>=', "name" => "pag_data_begin"],
        ["field" => "pag_data", "operator" => '<=', "name" => "pag_data_end"],
    ];
}